/*
 * spi.h for miniD pre OLED
 *
 * Initial version: 05/12/2017
 * Author: Tomi Nihtila, nihtila.com
 */ 


#ifndef SPI_H_
#define SPI_H_


#define SPI_CLOCK	0	// fosc/4
//#define SPI_CLOCK	1	// fosc/16


typedef enum {
	SPI_CS_PGA,
	SPI_CS_SRC,
	SPI_CS_DAC
} spiCS;


void SPIInit(void);
void SPIStart(spiCS cs);
void SPIEnd(spiCS cs);
unsigned char SPITransferByte(unsigned char data);


#endif /* SPI_H_ */